## imcode.server.parser
Class MenuParser

    java.lang.Object
      imcode.server.parser.MenuParser

    public class MenuParser

extends java.lang.Object

Nested Class Summary
`static class` `MenuParser.UserCanSeeMenuItemPredicate`

Method Summary
`static java.lang.String` `addMenuAdmin(int menuIndex, boolean menuMode, java.lang.String content, MenuDomainObject menu, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String label)`
`static java.lang.String` `getPathToDocument(javax.servlet.http.HttpServletRequest request, DocumentDomainObject document, java.lang.String template)`
`void` `nodeMenu(Element menuNode, java.io.Writer result, MenuDomainObject currentMenu, org.apache.oro.text.regex.PatternMatcher patMat, int menuIndex, TagParser tagParser)` Handle an imcms:menu element.
`java.lang.String` `tag(java.util.Properties menuattributes, java.lang.String menutemplate, org.apache.oro.text.regex.PatternMatcher patMat, TagParser tagParser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addMenuAdmin

    public static java.lang.String addMenuAdmin(int menuIndex,
                                                boolean menuMode,
                                                java.lang.String content,
                                                MenuDomainObject menu,
                                                javax.servlet.http.HttpServletRequest request,
                                                javax.servlet.http.HttpServletResponse response,
                                                java.lang.String label)
                                         throws javax.servlet.ServletException,
                                                java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### nodeMenu

    public void nodeMenu(Element menuNode,
                         java.io.Writer result,
                         MenuDomainObject currentMenu,
                         org.apache.oro.text.regex.PatternMatcher patMat,
                         int menuIndex,
                         TagParser tagParser)
                  throws java.io.IOException

  Handle an imcms:menu element.

  Throws:
    `java.io.IOException`

### tag

    public java.lang.String tag(java.util.Properties menuattributes,
                                java.lang.String menutemplate,
                                org.apache.oro.text.regex.PatternMatcher patMat,
                                TagParser tagParser)

### getPathToDocument

    public static java.lang.String getPathToDocument(javax.servlet.http.HttpServletRequest request,
                                                     DocumentDomainObject document,
                                                     java.lang.String template)